import { DerivedFunction } from "./derive";
import { Factory, AttributeFunction } from "./define";
declare function isDerivedFunction<Base, Output>(fn: any): fn is DerivedFunction<Base, Output>;
declare function isFactoryFunction<Base>(fn: any): fn is Factory<Base>;
declare function isAttributeFunction<T>(fn: any): fn is AttributeFunction<T>;
declare type Keys<T> = keyof T;
declare type Diff<T, U> = T extends U ? never : T;
declare type DiffProperties<T, U> = Pick<T, Diff<Keys<T>, Keys<U>>>;
export { isAttributeFunction, isDerivedFunction, isFactoryFunction, DiffProperties };
